Package: org.codehaus.groovy.control

## [Java] Class MultipleCompilationErrorsException

- org.codehaus.groovy.control.MultipleCompilationErrorsException

- Represents multiple other exceptions

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected ErrorCollector` | `collector` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CompilationFailedException` | `phase, unit`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MultipleCompilationErrorsException (ErrorCollector ec)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `ErrorCollector` | `getErrorCollector()`
    `` | `String` | `getMessage()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CompilationFailedException` | `getUnit`
    `class GroovyRuntimeException` | `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected ErrorCollector collector

  - ### Constructor Detail

    - #### public MultipleCompilationErrorsException(ErrorCollector ec)

  - ### Method Detail

    - #### public ErrorCollector getErrorCollector()

    - #### public String getMessage()